#### D.15.4.10 difformHomogDecomp

Procedure from library `difform.lib` (see difform_lib).

Usage:
  difformHomogDecomp(df); df difform

Return:
  list of differential forms: homogeneous decomposition

Note:
  the output list always has as length the maximal possible degree plus one and the degree-0 part is the last element in the list

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    difform df = 3*dx*dz - x8*dx*dy + 12 + dy*dz + dz*dx - (y4-y5)*x12*dx*dy*dz - dx - dy + dz + x2*dx*dy;
    ///////////////////////////////
    // Homogeneous decomposition //
    ///////////////////////////////
    list L = difformHomogDecomp(df);
    L;
    ==> [1]:
    ==>    (-1)*dx+(-1)*dy+dz
    ==>
    ==> [2]:
    ==>    (x2-x8)*dx*dy+2*dx*dz+dy*dz
    ==>
    ==> [3]:
    ==>    (-x12y4+x12y5)*dx*dy*dz
    ==>
    ==> [4]:
    ==>    12
    ==>
    kill Omega_R,df,L,dx,dy,dz;

See also: difformCoef; difformDeg.

User manual for Singular version 4.4.1, 2025, generated by texi2html.